// https://api.fynn.ai/events
// https://vps.anotherfoxguy.com/dl/fur-events.json

const axios = require("axios").default;
const moment = require("moment");
const TurndownService = require("turndown");

const config = require("./config.json");

async function main() {
  let turndownService = new TurndownService();
  // let data = (await axios("https://vps.anotherfoxguy.com/dl/fur-events.json")).data;
  let data = (await axios("https://api.fynn.ai/events")).data;

  let min = moment().subtract(30, "minutes"); // minutes
  let max = moment().add(30, "minutes");
  //let max = moment().add(1.5, "days");

  //console.log(dat.data)

  data = data.filter((event) => event.type != "Lobby");
  const events = data.filter((event) =>
    moment.unix(event.start).isBetween(min, max)
  );

  events.forEach((event) => {
    console.log(event.name);

    switch (event.type) {
      case "Meetup":
        colour = 1293056;
        break;
      case "Dance":
        colour = 16711922;
        break;
      case "Panel":
        colour = 16752128;
        break;
      default:
        colour = 34047;
    }

    let embed = {
      title: event.name, //`${event.name} will start in <t:${event.start}:R>`,// <t:1636124400:R>
      description: turndownService.turndown(event.description),
      timestamp: moment.unix(event.start),
      url: `https://furality.org/schedule#${event.id}`,
      color: colour,
      fields: [
        {
          name: "Starts",
          value: `<t:${event.start}:R>`,
          inline: true,
        },
        {
          name: "Ends",
          value: `<t:${event.end}:R>`,
          inline: true,
        },
      ],
    };

    if (event.image_url != "missing") {
      embed.thumbnail = {
        url: `https://furality.org/${event.image_url}`,
      };
    }

    axios
      .post(config.webhookurl, {
        embeds: [embed],
      })
      .catch(function (error) {
        console.error(error);
      });

    // console.log(
    //   JSON.stringify({
    //     embeds: [embed],
    //   })
    // );
  });

  //let event = data[1];
}

main();
